> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project

> 
Retrieve the current project's details. Use to check project settings like spend limits or data retention.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}:
    get:
      tags:
        - Configuration
      summary: Get Project
      description: >-

        Retrieve the current project's details. Use to check project settings
        like spend limits or data retention.
      operationId: get_get_project
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  id:
                    format: uuid
                    title: Id
                    type: string
                  name:
                    title: Name
                    type: string
                  is_private:
                    title: Is Private
                    type: boolean
                  freeplay_spend_limit_usd:
                    title: Freeplay Spend Limit Usd
                    type:
                      - integer
                      - 'null'
                  data_retention_days:
                    title: Data Retention Days
                    type:
                      - integer
                      - 'null'
                  enable_eval_insights:
                    title: Enable Eval Insights
                    type: boolean
                  enable_review_insights:
                    title: Enable Review Insights
                    type: boolean
                required:
                  - id
                  - name
                  - is_private
                  - freeplay_spend_limit_usd
                  - data_retention_days
                  - enable_eval_insights
                  - enable_review_insights
                title: ProjectDetail
                type: object
          description: >-
            ProjectDetail(id: uuid.UUID, name: str, is_private: bool,
            freeplay_spend_limit_usd: Optional[int], data_retention_days:
            Optional[int], enable_eval_insights: bool, enable_review_insights:
            bool)
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````